SQL query
curl --request POST \
--url https://www.dench.com/api/v1/crm/sql \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectName": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectName: 'string'})
};
fetch('https://www.dench.com/api/v1/crm/sql', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/sql"
payload = { "objectName": "string" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": "ent_lead99",
"objectId": "obj_lead01",
"fields": {
"Name": "Ada Lovelace",
"Status": "Qualified",
"Score": 85
},
"createdAt": 1765526400000,
"updatedAt": 1765612800000,
"updatedBy": "user:us_xyz789",
"sortOrder": 0
}
]{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
SQL query
Run CRM SQL-compatible query.
POST
/
crm
/
sql
SQL query
curl --request POST \
--url https://www.dench.com/api/v1/crm/sql \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectName": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({objectName: 'string'})
};
fetch('https://www.dench.com/api/v1/crm/sql', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/sql"
payload = { "objectName": "string" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": "ent_lead99",
"objectId": "obj_lead01",
"fields": {
"Name": "Ada Lovelace",
"Status": "Qualified",
"Score": 85
},
"createdAt": 1765526400000,
"updatedAt": 1765612800000,
"updatedBy": "user:us_xyz789",
"sortOrder": 0
}
]{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.